### Enumeration

# GLib DateWeekday

since: 2.0

#### Declaration

    enum GLib.DateWeekday

#### Description

Enumeration representing a day of the week; `G_DATE_MONDAY`, `G_DATE_TUESDAY`, etc. `G_DATE_BAD_WEEKDAY` is an invalid weekday.

Available since: 2.0

#### Members

`G_DATE_BAD_WEEKDAY`

  Invalid value.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_MONDAY`

  Monday.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_TUESDAY`

  Tuesday.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_WEDNESDAY`

  Wednesday.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_THURSDAY`

  Thursday.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_FRIDAY`

  Friday.

  - Value: `5`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_SATURDAY`

  Saturday.

  - Value: `6`
  - Nickname: `None`
  - Available since: 2.0
`G_DATE_SUNDAY`

  Sunday.

  - Value: `7`
  - Nickname: `None`
  - Available since: 2.0